### Signal

# Soup Message::accept-certificate

#### Declaration

    gboolean
    accept_certificate (
      SoupMessage* self,
      GTlsCertificate* tls_peer_certificate,
      GTlsCertificateFlags tls_peer_errors,
      gpointer user_data
    )

#### Description [src]

Emitted during the `msg`‘s connection TLS handshake after an unacceptable TLS certificate has been received.

You can return `TRUE` to accept `tls_certificate` despite `tls_errors`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`tls_peer_certificate` | `GTlsCertificate`
| The peer’s `GTlsCertificate`.
| The data is owned by the caller of the function.
`tls_peer_errors` | `GTlsCertificateFlags`
| The tls errors of `tls_certificate`.

#### Return value

Returns: | `gboolean`
| `TRUE` to accept the TLS certificate and stop other handlers from being invoked, or `FALSE` to propagate the event further.